package dk.aau.cs.model.tapn.Colored;

import dk.aau.cs.model.tapn.*;
import pipe.dataLayer.NetType;

public class ColoredArcPetriNetNetwork extends TimedArcPetriNetNetwork {

    public ColoredArcPetriNetNetwork() {
        super();
        initialize();
    }

    public ColoredArcPetriNetNetwork(ConstantStore constants) {
        super(constants);
        initialize();
    }

    private void initialize() {
        netType = NetType.CPN;
        setMarking(new ColoredNetworkMarking());
        ColorType dotDefaultColorType = new ColorType("Dot");
        dotDefaultColorType.addColor("Dot");
        super.add(dotDefaultColorType);
    }
}