package dk.aau.cs.model.tapn.Colored;

import dk.aau.cs.model.tapn.*;
import dk.aau.cs.model.tapn.Colored.Expressions.ArcExpression;

import java.util.ArrayList;
import java.util.List;

public class ColoredTransportArc extends TransportArc {
    private ArcExpression expression;
    private List<ColoredTimeInterval> ctiList = new ArrayList<ColoredTimeInterval>() {{
        add(ColoredTimeInterval.ZERO_INF_DYN_COLOR(Color.STAR_COLOR));
    }};

    public ColoredTransportArc(TimedPlace source, TimedTransition transition, TimedPlace destination, TimeInterval interval) {
        super(source, transition, destination, interval);
    }

    public ColoredTransportArc(TimedPlace source, TimedTransition transition, TimedPlace destination, TimeInterval interval, Weight weight) {
        super(source, transition, destination, interval, weight);
    }

    public ArcExpression getExpression() {
        return expression;
    }

    public void setExpression(ArcExpression expression) {
        this.expression = expression;
    }

    public List<ColoredTimeInterval> getCtiList() {return ctiList;}
    public void setCtiList(List<ColoredTimeInterval> ctiList) {this.ctiList = ctiList;}
}
